Bric::SOAP::Handler(3)

NAME
Bric::SOAP::Handler - Apache/mod_perl handler for SOAP interfaces

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2005-02-28 04:08:35 -0800 (Mon, 28 Feb 2005) $

SYNOPSIS
  <Location /soap>
    SetHandler perl-script
    PerlHandler Bric::SOAP::Handler
    PerlCleanupHandler Bric::App::CleanupHandler
    PerlAccessHandler Apache::OK
  </Location>

DESCRIPTION
This module provides an Apache/mod_perl PerlHandler for the Bricolage SOAP interface. This handler dispatches calls to the various Bric::SOAP modules.

CONSTANTS

SOAP_CLASSES
    Array of SOAP interface module names. The handler will only dispatch calls to these classes.

INTERFACE

  Public Class Methods

Bric::SOAP::Handler->handler()
    Handles a request for a SOAP interface. Calls SOAP::Transport::HTTP::Apache->handler() to dispatch the request.

    Throws: NONE

    Side Effects: NONE

    Notes: NONE

AUTHOR
Sam Tregar <stregar@about-inc.com>

SEE ALSO
Bric::SOAP